<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 1</title>
	<script type="text/javascript">
		//Vamos a crear una clase
		let persona=function(){
			//propiedad privada
			let nombre;
			//metodos publicos
			this.dormir=function(){
				console.log('ZZZZZZZZZZZ');
			};

			this.hablar=function(){
				console.log('BLA BLA BLA');
			};

			this.contar=function(){
				console.log('1 2 3 4 5 6');
			};

			this.adquirirNombre=function(){
				nombre=prompt('Introduce tu nombre');
			};

			this.decirNombre=function(){
				console.log('mi nombre es ' + nombre);
			};
		};

		// Vamos a crear un objeto con una instancia de la clase
		let alumno=new persona();

		alumno.dormir();
		alumno.hablar();
		alumno.contar();
		alumno.adquirirNombre();
		alumno.decirNombre();

	</script>
</head>
<body>
	
</body>
</html>